Yandex SERP API 매개변수
GET https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=<query>
파라미터
섹션 제목: “파라미터”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | SERP API 키 |
engine | string | yes | yandex여야 함 |
q | string | yes | 검색 쿼리 |
lr | integer | no | Yandex 지역 코드 (아래 참조) |
lang | ISO code | no | 결과 언어 (ru, en, tr, uk) |
p | integer | no | 페이지 번호, 0부터 시작 |
device | desktop | mobile | no | 시뮬레이션할 기기 |
within | integer | no | 최신순 필터 (일 단위) |
일반적인 lr 코드
섹션 제목: “일반적인 lr 코드”lr | City / region |
|---|---|
| 1 | Moscow |
| 213 | Moscow region |
| 2 | St. Petersburg |
| 11316 | Novosibirsk |
| 54 | Yekaterinburg |
| 43 | Kazan |
| 47 | Nizhny Novgorod |
| 65 | Samara |
| 66 | Chelyabinsk |
| 55 | Rostov-on-Don |
모든 Yandex 지역에 대한 전체 목록은 engine=yandex_locations를 호출하거나 Yandex의 공개 lr 참조 문서를 확인하십시오.
모스크바에서의 러시아어 검색:
curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=ресторан&lr=1&lang=ru"모바일에서의 터키어 검색:
curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=yemek&lang=tr&device=mobile"